"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ono_1 = require("ono");
/**
 * Returns a cloneable copy of the given error.
 * @internal
 */
function cloneError(error) {
    if (typeof error === "object") {
        return ono_1.Ono.toJSON(error);
    }
    else {
        return error;
    }
}
exports.cloneError = cloneError;
/**
 * Creates an `Error` object from an `ErrorClone`.
 * @internal
 */
function createError(error) {
    if (!error || typeof error !== "object" || error instanceof Error) {
        // It's not an ErrorClone, so just return it as-is
        return error;
    }
    else {
        // Convert the ErrorClone to the corresponding Error type
        return ono_1.ono(error);
    }
}
exports.createError = createError;
//# sourceMappingURL=error.js.map